# config/services.yaml
parameters:
    # Aquí puedes definir variables globales si las necesitas más adelante

services:
    # Configuración por defecto para los servicios en este archivo
    _defaults:
        autowire: true      # Inyecta automáticamente las dependencias en tus servicios
        autoconfigure: true # Registra automáticamente tus servicios como comandos, suscriptores, etc.

    # Hace que las clases en src/ estén disponibles para ser usadas como servicios
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    # Los controladores se importan por separado para asegurar que tengan acceso a los servicios de la base
    App\Controller\:
        resource: '../src/Controller/'
        tags: ['controller.service_arguments']